%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-zed
Version:        3.2.3
Release:        %mkrel 1
Summary:        Abstract engine for text edition in OCaml (development tools)

%global libname %(echo %{name} | sed -e 's/^ocaml-//')

License:        BSD License (3-clauses)
Group:          Development/OCaml
URL:            https://github.com/ocaml-community/zed
Source0:        https://github.com/ocaml-community/zed/archive/%{version}/%{libname}-%{version}.tar.gz
# We don't need the uchar forwards compatibility package
Patch0:         %{name}-uchar.patch

BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-dune >= 3.0
BuildRequires:  ocaml-react-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-uucp-devel >= 2.0.0
BuildRequires:  ocaml-uuseg-devel
BuildRequires:  ocaml-uutf-devel
Requires:       ocaml-react

%description
Zed is an abstract engine for text edition. It can be used to write
text editors, edition widgets, readlines, ...

Zed uses Camomile to fully support the Unicode specification, and
implements an UTF-8 encoded string type with validation, and a rope
datastructure to achieve efficient operations on large Unicode buffers.
Zed also features a regular expression search on ropes.

To support efficient text edition capabilities, Zed provides macro
recording and cursor management facilities.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-react-devel%{_isa}
Requires:       ocaml-result-devel%{_isa}
Requires:       ocaml-uucp-devel%{_isa}
Requires:       ocaml-uuseg-devel%{_isa}
Requires:       ocaml-uutf-devel%{_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n zed-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE
%doc README.md CHANGES.md

%files devel -f .ofiles-devel



%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 3.2.3-1.mga10
+ Revision: 2193467
- new version: 3.2.3

* Thu May 19 2022 pterjan <pterjan> 3.1.0-4.mga9
+ Revision: 1859206
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 3.1.0-3.mga9
+ Revision: 1751231
- Rebuild for ocaml 4.13.1

* Wed Oct 13 2021 tv <tv> 3.1.0-2.mga9
+ Revision: 1751156
- Rebuild for ocaml 4.13.1

* Sat Mar 20 2021 tv <tv> 3.1.0-1.mga9
+ Revision: 1705140
- 3.1.0

* Sun Jan 10 2021 pterjan <pterjan> 2.0.3-4.mga8
+ Revision: 1670678
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 2.0.3-3.mga8
+ Revision: 1551751
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 2.0.3-2.mga8
+ Revision: 1543570
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 2.0.3-1.mga8
+ Revision: 1481941
- rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 1.6-5.mga7
+ Revision: 1325197
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.6-4.mga7
+ Revision: 1299952
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1.6-3.mga7
+ Revision: 1241791
- update files list

* Tue Mar 27 2018 daviddavid <daviddavid> 1.6-2.mga7
+ Revision: 1212732
- rebuild for new ocaml-react 1.2.1

* Tue Dec 05 2017 tv <tv> 1.6-1.mga7
+ Revision: 1181335
- new release
- rebuild for new ocaml

* Fri Oct 13 2017 daviddavid <daviddavid> 1.2-14.mga7
+ Revision: 1171498
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Wed Feb 17 2016 daviddavid <daviddavid> 1.2-13.mga6
+ Revision: 963190
- rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.2-12.mga5
+ Revision: 745508
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 malo <malo> 1.2-11.mga5
+ Revision: 724305
- rebuild for new ocaml-react

* Tue Sep 16 2014 umeabot <umeabot> 1.2-10.mga5
+ Revision: 683136
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 malo <malo> 1.2-9.mga5
+ Revision: 675201
- rebuild for new ocaml-camomile

* Sat Oct 19 2013 umeabot <umeabot> 1.2-8.mga4
+ Revision: 534729
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 1.2-7.mga4
+ Revision: 478656
- rebuild for new ocaml

* Sat Apr 06 2013 malo <malo> 1.2-6.mga3
+ Revision: 408628
- fix requires

* Sun Jan 13 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 361735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2-4.mga3
+ Revision: 308594
- rebuild for ocaml-4.0.1

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.2-3.mga3
+ Revision: 302111
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.2-2.mga3
+ Revision: 300352
- new rpm group for ocaml

* Wed Aug 01 2012 blue_prawn <blue_prawn> 1.2-1.mga3
+ Revision: 277270
- imported package ocaml-zed

